# LeanAbiFunction

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**inputs** | [**Array&lt;ParameterWithValue&gt;**](ParameterWithValue.md) | The function inputs | [default to undefined]|
|**name** | **string** | The function name | [optional] [default to undefined]|
|**outputs** | [**Array&lt;ParameterWithValue&gt;**](ParameterWithValue.md) | The function outputs | [optional] [default to undefined]|
|**stateMutability** | **string** | The state mutability of the function (e.g., view, pure, nonpayable, payable) | [optional] [default to undefined]|


## Enum: LeanAbiFunctionStateMutabilityEnum


* `View` (value: `'view'`)

* `Pure` (value: `'pure'`)

* `Nonpayable` (value: `'nonpayable'`)

* `Payable` (value: `'payable'`)





[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)
